#### D.4.31.1 ReesAlgebra

Procedure from library `reesclos.lib` (see reesclos_lib).

Usage:
  ReesAlgebra (I); I = ideal

Return:
  The Rees algebra R[It] as an affine ring, where I is an ideal in R. The procedure returns a list containing two rings:
  [1]: a ring, say RR; in the ring an ideal ker such that R[It]=RR/ker

  [2]: a ring, say Kxt; the basering with additional variable t containing an ideal mapI that defines the map RR-->Kxt

Example:

    LIB "reesclos.lib";
    ring R = 0,(x,y),dp;
    ideal I = x2,xy4,y5;
    list L = ReesAlgebra(I);
    def Rees = L[1];       // defines the ring Rees, containing the ideal ker
    setring Rees;          // passes to the ring Rees
    Rees;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 5
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y U(1) U(2) U(3)
    ==> //        block   2 : ordering C
    ker;                   // R[It] is isomorphic to Rees/ker
    ==> ker[1]=y*U(2)-x*U(3)
    ==> ker[2]=y^3*U(1)*U(3)-U(2)^2
    ==> ker[3]=y^4*U(1)-x*U(2)
    ==> ker[4]=x*y^2*U(1)*U(3)^2-U(2)^3
    ==> ker[5]=x^2*y*U(1)*U(3)^3-U(2)^4
    ==> ker[6]=x^3*U(1)*U(3)^4-U(2)^5

User manual for Singular version 4.4.1, 2025, generated by texi2html.